{% load static %}

<div class="col-xs-12 col-sm-6 col-md-6">
    <div class="card">
        <div class="row">
            <div>
                {% if bookshelf.book.image_url == "" %}
                <img src="{% static 'img/sebum_logo.jpeg' %}" width="35%" alt="" class="img-rounded img-responsive"/>

                {% else %}
                <img src="{{ bookshelf.book.image_url }}" alt="" class="img-rounded img-responsive"/>

                {% endif %}
            </div>
            <div class="col-sm-6 col-md-8">
                <h5 class="book-title">{{ bookshelf.book.title|title}}</h5>
                <p>Autor(es): {{ bookshelf.book.get_all_authors_as_one_string }}</p>
                <p>Categorias: {{ bookshelf.book.get_all_categories_as_one_string }}</p>
                <p>Dono: {{ bookshelf.owner.name }}</p>

                {% if bookshelf.evaluation %}
                <p>Avaliação: {{ bookshelf.evaluation }}</p>

                {% else %}
                <p>Livro sem avaliação</p>
                {% endif %}


                {% if bookshelf.available %}
                <span class="badge badge-pill badge-success">Disponível</span>
                {% else %}
                <span class="badge badge-pill badge-default">Emprestado</span>

                {% endif %}
            </div>
            {% if user == bookshelf.owner %}
            <button type="button" class="btn btn-primary btn-sm" data-toggle="modal"
                    data-target="#{{bookshelf.book.title|cut:' '}}">
                Avaliar livro
            </button>
            {% endif %}

        </div>
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="{{bookshelf.book.title|cut:' '}}" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">{{ bookshelf.book.title|title }}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    <i class="tim-icons icon-simple-remove"></i>
                </button>

            </div>
            <div class="modal-body">
                {% if bookshelf.book.image_url == "" %}
                <img src="{% static 'img/sebum_logo.jpeg' %}" width="35%" alt="" class="img-rounded img-responsive"/>

                {% else %}
                <img src="{{ bookshelf.book.image_url }}" alt="" class="img-rounded img-responsive"/>

                {% endif %}
                <form action="{% url 'evaluate-bookshelf' bookshelf.id %}" method="POST">
                    {% csrf_token %}
                    <div class="form-group">
                        <label for="exampleInputEmail1">Avaliação do livro</label>
                        <input type="number" class="form-control" id="exampleInputEmail1" name="evaluation"
                               {% if bookshelf.evaluation %}
                               placeholder="{{ bookshelf.evaluation }}">

                        {% else %}
                        placeholder="Livro sem avaliação">
                        {% endif %}
                    </div>
                    <button type="submit" class="btn btn-primary">Avaliar</button>
                </form>
            </div>

        </div>
    </div>
</div>